<script setup>
// TODO: change component into layout and use it in each category view
import { Icon } from '@iconify/vue'
import { useRoute } from 'vue-router'
import { computed } from 'vue'
import { useBlocStore } from '@/store/bloc'

const blocStore = useBlocStore()

const categoryTitle = computed(() => {
  const routePath = useRoute().path
  if (routePath.includes('file')) {
    return 'My Files'
  } else if (routePath.includes('starred')) {
    return 'Starred'
  } else if (routePath.includes('shared')) {
    return 'Shared with me'
  } else {
    return 'Unknow category'
  }
})

const handleFileUpload = (event) => {
  // console.log(event.target.files)
  console.log('uploading file...')
}
</script>

<template>
  <div class="category-top-bar">
    <div class="category-top-bar__left-content">
      <h4>{{ categoryTitle }}</h4>
    </div>
    <div class="category-top-bar__right-content">
      <a href="#" class="button-base" @click="blocStore.fillFixtures()">
        <Icon icon="mdi:content-save-cog-outline" width="16px" height="16px" />
      </a>
      <input type="file" name="file-uploader" id="file-uploader" @change="handleFileUpload">
      <label for="file-uploader" class="button-base button-primary">
        Transfer
        <Icon icon="mdi:upload-outline" width="16px" height="16px" />
      </label>
    </div>
  </div>
</template>

<style lang="scss" scoped>
  .category-top-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-height: 64px;
    height: 64px;
    color: $complementary-white;

    &__left-content {
      font-size: 14px;
    }

    &__right-content {
      display: flex;
      align-items: center;
      gap: 1rem;
      > input[name="file-uploader"] {
        width: 0.1px;
        height: 0.1px;
        opacity: 0;
        overflow: hidden;
        position: absolute;
        z-index: -1;
      }
      > label[for="file-uploader"] {
        cursor: pointer;
      }
    }
  }
</style>
